curl https://api.engram.training/v1/compliance/stats
{
"compliance": {
"totalAddresses": 2219,
"bySource": {
"ofac_sdn": 772,
"opensanctions": 1447
},
"lastIngestion": {
"source": "ofac_sdn",
"at": "2026-04-05T17:40:48.710Z"
},
"totalScreenings": 14
},
"community": {
"totalReports": 3,
"byStatus": {"pending": 2, "confirmed": 1},
"byCategory": {"scam": 2, "hack": 1}
}
}
Compliance Shield
Get Stats
Get aggregate compliance statistics. Public endpoint — no authentication required.
GET
/
v1
/
compliance
/
stats
curl https://api.engram.training/v1/compliance/stats
{
"compliance": {
"totalAddresses": 2219,
"bySource": {
"ofac_sdn": 772,
"opensanctions": 1447
},
"lastIngestion": {
"source": "ofac_sdn",
"at": "2026-04-05T17:40:48.710Z"
},
"totalScreenings": 14
},
"community": {
"totalReports": 3,
"byStatus": {"pending": 2, "confirmed": 1},
"byCategory": {"scam": 2, "hack": 1}
}
}
Response
curl https://api.engram.training/v1/compliance/stats
{
"compliance": {
"totalAddresses": 2219,
"bySource": {
"ofac_sdn": 772,
"opensanctions": 1447
},
"lastIngestion": {
"source": "ofac_sdn",
"at": "2026-04-05T17:40:48.710Z"
},
"totalScreenings": 14
},
"community": {
"totalReports": 3,
"byStatus": {"pending": 2, "confirmed": 1},
"byCategory": {"scam": 2, "hack": 1}
}
}
⌘I

